## org.red5.io.flv.meta
Class MetaService

    java.lang.Object
      org.red5.io.flv.meta.MetaService

All Implemented Interfaces:
  IMetaService

    public class MetaService

extends Object
implements IMetaService

MetaService represents a MetaData service in Spring

Author:
  The Red5 Project (red5@osflash.org), Dominick Accattato (daccattato@gmail.com), Luke Hubbard, Codegent Ltd (luke@codegent.com)

Field Summary
`protected static Logger` `log`

Constructor Summary
`MetaService()` MetaService constructor
`MetaService(File poFil)`

Method Summary
`Deserializer` `getDeserializer()`
`File` `getFile()`
`Resolver` `getResolver()`
`Serializer` `getSerializer()`
`IMetaCue[]` `readMetaCue()` Read the Meta Cue Points
`MetaData<?,?>` `readMetaData(IoBuffer buffer)` Read the MetaData
`void` `setDeserializer(Deserializer deserializer)`
`void` `setFile(File file)`
`void` `setInStream(FileInputStream fis)` Setter for input stream
`void` `setOutStream(FileOutputStream fos)` Setter for output stream
`void` `setResolver(Resolver resolver)`
`void` `setSerializer(Serializer serializer)`
`void` `write(IMetaData<?,?> meta)` Initiates writing of the MetaData
`void` `writeMetaCue()` Writes the Meta Cue Points
`void` `writeMetaData(IMetaData<?,?> metaData)` Writes the MetaData

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Logger log

Constructor Detail

### MetaService

    public MetaService()

  MetaService constructor

### MetaService

    public MetaService(File poFil)

Method Detail

### getResolver

    public Resolver getResolver()

  Returns:
    Returns the resolver.

### setResolver

    public void setResolver(Resolver resolver)

  Parameters:
    `resolver` - The resolver to set.

### getDeserializer

    public Deserializer getDeserializer()

  Returns:
    Returns the deserializer.

### setDeserializer

    public void setDeserializer(Deserializer deserializer)

  Parameters:
    `deserializer` - The deserializer to set.

### getSerializer

    public Serializer getSerializer()

  Returns:
    Returns the serializer.

### setSerializer

    public void setSerializer(Serializer serializer)

  Parameters:
    `serializer` - The serializer to set.

### write

    public void write(IMetaData<?,?> meta)
               throws IOException

  Initiates writing of the MetaData

  Specified by:
    `write` in interface `IMetaService`
  Parameters:
    `meta` - Metadata
  Throws:
    `IOException` - I/O exception

### writeMetaData

    public void writeMetaData(IMetaData<?,?> metaData)

  Writes the MetaData

  Specified by:
    `writeMetaData` in interface `IMetaService`
  Parameters:
    `metaData` - Metadata

### writeMetaCue

    public void writeMetaCue()

  Writes the Meta Cue Points

  Specified by:
    `writeMetaCue` in interface `IMetaService`

### getFile

    public File getFile()

  Returns:
    Returns the file.

### setFile

    public void setFile(File file)

  Parameters:
    `file` - The file to set.

### setInStream

    public void setInStream(FileInputStream fis)

  Setter for input stream

  Specified by:
    `setInStream` in interface `IMetaService`
  Parameters:
    `fis` - File input stream

### setOutStream

    public void setOutStream(FileOutputStream fos)

  Setter for output stream

  Specified by:
    `setOutStream` in interface `IMetaService`
  Parameters:
    `fos` - File output stream

### readMetaData

    public MetaData<?,?> readMetaData(IoBuffer buffer)

  Read the MetaData

  Specified by:
    `readMetaData` in interface `IMetaService`
  Parameters:
    `buffer` - IoBuffer source
  Returns:
    metaData Metadata

### readMetaCue

    public IMetaCue[] readMetaCue()

  Read the Meta Cue Points

  Specified by:
    `readMetaCue` in interface `IMetaService`
  Returns:
    Meta cue points

Copyright © 2006-2010 The Red5 Project